Chuyển đến nội dung
Diễn đàn CADViet

Duong Nhat Duy

Thành viên
  • Số lượng nội dung

    303
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    26

Cộng đồng

112 (tàm tạm)

1 Người theo dõi

About Duong Nhat Duy

  • Cấp bậc
    biết dimlinear

Khách truy cập Tiểu sử gần đây

1.544 chế độ xem tiểu sử
  1. Duong Nhat Duy

    cần giúp đỡ lisp cộng dim

    Của bạn đây ! (defun C:cd ( / DT I OBJ SS STR X) (setq dt (getreal "Nhap so muon cong/tru: ")) (setq ss (ssget (list (cons 0 "*DIMENSION")))) (setq i 0) (repeat (sslength ss) (setq obj (vlax-ename->vla-object (ssname ss i))) (if (zerop (setq x (atof (vla-get-TextOverride obj)))) (setq x (vla-get-Measurement obj)) ) (setq str (strcat (vla-get-TextPrefix obj) (rtos (+ x dt) 2 0) (vla-get-TextSuffix obj))) (vla-put-TextOverride obj str) (setq i (1+ i)) ) (print) ) (vl-load-com)
×